Package: org.gradle.api.artifacts

## [Java] Interface ArtifactIdentifier

- The identifier for a module artifact.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getClassifier()` Returns the classifier of this artifact, if any.
    `String` | `getExtension()` Returns the extension of this artifact.
    `ModuleVersionIdentifier` | `getModuleVersionIdentifier()` Returns the identifier of the module that owns this artifact.
    `String` | `getName()` Returns the name of this artifact.
    `String` | `getType()` Returns the type of this artifact.

- - ### Method Detail

    - #### public String getClassifier()

      Returns the classifier of this artifact, if any.

    - #### public String getExtension()

      Returns the extension of this artifact. Often the extension is the same as the type, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.

      See Also:
        getType()

    - #### public ModuleVersionIdentifier getModuleVersionIdentifier()

      Returns the identifier of the module that owns this artifact.

    - #### public String getName()

      Returns the name of this artifact.

    - #### public String getType()

      Returns the type of this artifact. Often the type is the same as the extension, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.

      See Also:
        getExtension()